Name:           ocaml-postgresql
Version:        1.18.0
Release:        %mkrel 3
Summary:        OCaml library for accessing PostreSQL databases
Group:          Development/Other
License:        LGPLv2+ with exceptions
URL:            http://www.ocaml.info/home/ocaml_sources.html#postgresql-ocaml
Source0:        http://hg.ocaml.info/release/postgresql-ocaml/archive/postgresql-ocaml-release-%{version}.tar.bz2
# curl http://hg.ocaml.info/release/postgresql-ocaml/archive/release-%{version}.tar.bz2 > postgresql-ocaml-release-%{version}.tar.bz2

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib
BuildRequires:  postgresql-devel
BuildRequires:  chrpath
Requires: postgresql-devel

%description
This OCaml-library provides an interface to PostgreSQL, an efficient
and reliable, open source, relational database.  Almost all
functionality available through the C-API (libpq) is replicated in a
type-safe way.  This library uses objects for representing database
connections and results of queries.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n postgresql-ocaml-release-%{version}

%build
make

chrpath --delete lib/dll*.so

%install
rm -rf %{buildroot}
# These rules work if the library uses 'ocamlfind install' to install itself.
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
%makeinstall_std

%files
%doc LICENSE
%dir %{_libdir}/ocaml/postgresql/
%{_libdir}/ocaml/postgresql/*.cma
%{_libdir}/ocaml/postgresql/*.cmi
%{_libdir}/ocaml/postgresql/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc LICENSE AUTHORS Changelog README.txt
%doc examples/
%{_libdir}/ocaml/postgresql/*.a
%{_libdir}/ocaml/postgresql/*.cmxa
%{_libdir}/ocaml/postgresql/*.mli


%changelog

* Thu Apr 05 2012 malo <malo> 1.18.0-3.mga2
+ Revision: 228780
- bump rel
- adding missing requires to postgresql-devel

* Fri Mar 23 2012 blue_prawn <blue_prawn> 1.18.0-1.mga2
+ Revision: 225885
- imported from Mandriva


* Sun Apr 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org>
+ Revision: 652382
- new version
- cleanups

* Thu Aug 12 2010 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 569280
- updated version

* Sat Sep 19 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 444717
- new version

* Thu Sep 10 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 437543
- new version

* Thu Sep 10 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 437542
- new version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 390300
- rebuild

* Sat May 23 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 379092
- updated version

* Sun Apr 05 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 364180
- updated version

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 326206
- findlib package name

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 325954
- import ocaml-postgresql
